Subject: Re: bug#35671: 'glibc-utf8-locales' should include C.UTF-8 locale

From: Meiyo Peng <[email-masked]>
Date: Sat, 11 May 2019 11:48:53 +0800

Hi Ludovic,

Ludovic Courtès writes:

> I noticed that on Debian 9, ‘guix-daemon.service’ (systemd) runs under
> the C.UTF-8 locale by default, even if the machine is otherwise
> configured with another locale.  Consequently, ‘guix substitute’ keeps
> complaining about locales and all that, which is terrible.
>
> Thus, I think ‘glibc-utf8-locales’ should provide that locale.

And the zh_CN.UTF-8, zh_TW.UTF-8 please.

--
Meiyo Peng
https://www.pengmeiyu.com/